<div class="container">
    <button mat-icon-button class="close-button" [mat-dialog-close]="true">
        <i class="fa-solid fa-xmark"></i>
     </button>
    <div class="row pt-3 mob-p-0">
        <div class="col-lg-12 m-a">
            <ul class="page-url">
                <li><a>Votre compte</a></li>
                <li><a class="">Connexion et sécurité</a></li>
                <li><a class="active">Numéro de téléphone</a></li>
            </ul>
            <div class="row">
                <div class="col-lg-12 col-md-12 col-sm-12 col-12">
                    <h2>Numéro de téléphone</h2>
                </div>
                <div class="col-lg-12 col-md-12 col-sm-12 col-12">
                    <form [formGroup]="myform" (submit)="send()" class="mb-0">
                        <div class="row">
                            <div class="mb-3">
                                <label for="pwd" class="form-label">Numéro de téléphone</label>
                                <div style="display: flex; align-items: center;">
                                    <select class="form-select" style="width: 90px; margin-top: 0;" formControlName="country_code" (change)="selectCounrtyCode($event)">
                                        <option *ngFor="let code of countries" value="{{code.code}}" [selected]="true">{{code.code}}</option>
                                    </select>
                                    <input type="text" class="form-control m-4" id="" placeholder="" name="" formControlName="phone">
                                </div>
                                <div class="errormsg" *ngIf="myform.get('phone')?.touched && myform.get('phone')?.hasError('required')">
                                    <h4> <b>L'Numéro de téléphone est requis</b></h4>
                                </div>
                            </div>
                        </div>


                        <div class="row">
                            <div class="">
                                <button class="btn btn-fill size-650 mb-0">Enregister les modifications</button>
                            </div>
                        </div>
                        <div class="comeBack_up" *ngIf="createuserRes">
                            <div *ngIf="createuserRes.status == false; else loggedOut">
                                <br>
                                <div class="alert alert-danger"><strong>{{ createuserRes.errmessage }}</strong></div>
                            </div>
                            <ng-template #loggedOut>
                                <br>
                                <div class="alert alert-success"><strong>{{ createuserRes.message }}</strong></div>
                            </ng-template>
                        </div>
                    </form>
                </div>
            </div>
            <!-- Nav pills -->
        </div>
    </div>
</div>